unit UnitZumenTitle;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ComCtrls, Grids,
  UnitData,  UnitFunc ;

type
  TFmZumenTitle = class(TForm)
    StringGrid1: TStringGrid;
    StatusBar1: TStatusBar;
    Panel1: TPanel;
    Button1: TButton;
    Button2: TButton;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormResize(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
    P_OK : Boolean ;
    P_CData : TDataClass ;
  end;

var
  FmZumenTitle: TFmZumenTitle;

implementation

{$R *.dfm}

// N
procedure TFmZumenTitle.FormShow(Sender: TObject);
begin
   P_OK := False ;
   with StringGrid1 do begin
      Cells[0, 0] := '' ;
      Cells[1, 0] := 'e' ;
      Cells[0, 1] := 'Ɩ' ;
      Cells[0, 2] := 'H' ;
      Cells[0, 3] := '_敪' ;
      Cells[0, 4] := '}ʖ' ;
      Cells[0, 5] := '}ʔԍ' ;
      Cells[0, 6] := '}ʎ' ;
      Cells[0, 7] := 'ړx' ;
      Cells[0, 8] := '}ʍ쐬Nij' ;
      Cells[0, 9] := '' ;
      Cells[0,10] := '' ;
      Cells[0,11] := '󒍉Ж' ;
      Cells[0,12] := 'ƎҖ' ;

      Cells[1, 1] := P_CData.zt.P_Name ;
      Cells[1, 2] := P_CData.zt.C_Name ;
      Cells[1, 3] := P_CData.zt.C_type ;
      Cells[1, 4] := P_CData.zt.D_title ;
      Cells[1, 5] := P_CData.zt.D_number ;
      Cells[1, 6] := P_CData.zt.D_type ;
      Cells[1, 7] := P_CData.zt.D_Scale ;
      Cells[1, 8] := IntToStr(P_CData.zt.D_Year) ;
      Cells[1, 9] := IntToStr(P_CData.zt.D_Month) ;
      Cells[1,10] := IntToStr(P_CData.zt.D_Day) ;
      Cells[1,11] := P_CData.zt.C_Contractor ;
      Cells[1,12] := P_CData.zt.C_Owner ;
   end;
end;

// I
procedure TFmZumenTitle.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   //
end;

// TCY
procedure TFmZumenTitle.FormResize(Sender: TObject);
var
   i : integer ;
begin
   i := FmZumenTitle.ClientWidth - StringGrid1.ColWidths[0] - 2 ;
   if (i < 100) then i := 100 ;
   StringGrid1.ColWidths[1] := i ;
end;

// [OK]
procedure TFmZumenTitle.Button1Click(Sender: TObject);
var
   i : integer ;
begin
   with StringGrid1 do begin
      // 񒷃`FbN
      for i:=1 to 12 do begin
         if (i = 8)or(i = 9)or(i = 10) then continue ;
         if not(P_CData.StrCheck(Cells[1,i])) then begin
            Row := i ;
            exit ;
         end;
      end;
      // N`FbN
      i := SInt(Cells[1,8]) ;
      if (i < 1970)or(i > 2100) then begin
         Row := 8 ;
         exit ;
      end;
      // `FbN
      i := SInt(Cells[1,9]) ;
      if (i < 1)or(i > 12) then begin
         Row := 9 ;
         exit ;
      end;
      // `FbN
      i := SInt(Cells[1,10]) ;
      if (i < 1)or(i > 31) then begin
         Row := 10 ;
         exit ;
      end;

      P_CData.zt.P_Name    := Cells[1, 1] ;
      P_CData.zt.C_Name    := Cells[1, 2] ;
      P_CData.zt.C_type    := Cells[1, 3] ;
      P_CData.zt.D_title   := Cells[1, 4] ;
      P_CData.zt.D_number  := Cells[1, 5] ;
      P_CData.zt.D_type    := Cells[1, 6] ;
      P_CData.zt.D_Scale   := Cells[1, 7] ;
      P_CData.zt.D_Year    := SInt(Cells[1, 8]) ;
      P_CData.zt.D_Month   := SInt(Cells[1, 9]) ;
      P_CData.zt.D_Day     := SInt(Cells[1,10]) ;
      P_CData.zt.C_Contractor := Cells[1,11] ;
      P_CData.zt.C_Owner      := Cells[1,12] ;
   end;

   P_OK := True ;
   close ;
end;

// [LZ]
procedure TFmZumenTitle.Button2Click(Sender: TObject);
begin
   close ;
end;

end.
